Bug 841951 - hp-sendfax is not working
hp-sendfax is not working
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 12:15 EDT by NM
Modified: 2012-08-27 18:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 859658 (view as bug list)
Environment:
Last Closed: 2012-08-27 18:57:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Debug log file. (6.71 KB, text/x-log)
2012-07-20 12:15 EDT, NM
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1027669 None None None 2012-07-23 12:10:47 EDT

  None (edit)
Description NM 2012-07-20 12:15:19 EDT
Created attachment 599425 [details]
Debug log file.

Description of problem:
I can not send fax. See attached 'hpsendfax.log' file.

Version-Release number of selected component (if applicable):
HP Linux Imaging and Printing System (ver. 3.12.6)
PC Sendfax Utility ver. 9.0

How reproducible:
Always. 

Steps to Reproduce:
1. hp-sendfax -n -f 18884732963 -l debug test.ps
2. Observe: hp-sendfax[5753]: debug: Waiting for fax...
  
Actual results:
No communication with fax. No dial sound or fax send.  

Expected results:
I can see the fax from HP Device Manager and everything seems normal. I can print and scan using the same HP OFFICEJET 4620 AIO printer. hplip v3.12.6 supports PC to FAX functionality for this fax. 
Fax is working from dialpad. Expect fax to work from command line too. 

Additional info:
Hardware - HP OFFICEJET 4620 AIO. 
Linux 3.4.4-4.fc16.x86_64 #1 SMP Thu Jul 5 20:01:38 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

I do observe the message: 
/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:122: RuntimeWarning: PyOS_InputHook is not available for interactive use of PyGTK
  set_interactive(1)
However I have now idea if this is related.
Comment 1 NM 2012-07-21 18:37:54 EDT
After disabling SElinux and reinstalling HPLIP fax ringing ok, however fails to sen properly with the error message:

-error: Pixels per line (width) must be 1728!

Any ideas?
Thanks.
Comment 2 Tim Waugh 2012-07-23 07:45:57 EDT
Let's try to narrow down exactly what problems you are seeing.

Firstly, how have you installed HPLIP?  Did you install the Fedora packages (using Add/Remove Packages), or did you install it directly from HP?  What does 'rpm -q hplip' say?

Next, to determine whether SELinux is the problem, can you please re-enable it (setenforce 1) and try faxing again?  Do you see the original error message ("no communication with fax") or the new error message ("pixels per line ...")?

Now disable SELinux again (setenforce 0), and try to fax. Are there AVC messages logged in /var/log/audit/audit.log when you try faxing? What are they?
Comment 3 NM 2012-07-23 11:22:00 EDT
Hi Tim Waugh,

Thank you for your reply. I could not find the hplip-3.12.6 using Add/Remove Packages so I installed it directly from HP. HP OFFICEJET 4620 AIO printer requires the latest version. Please, let me know if 3.12.6 version is available via Add/Remove.

rpm -q hplip
package hplip is not installed

Meantime I remove and re-configure the print, fax using hp-toolbox. This time I used option 2) in hp-setup:
Network/Ethernet/Wireless network (direct connect or JetDirect)
Apparently option 3-Wireless/802.11 is not helpfull. Any way with this setup and SELinux in Permissive mode fax works fine. 

With SELinux in Enforcing mode the fax goes into the infinite loop:
hp-sendfax[5273]: debug: Waiting for fax...
hp-sendfax[5273]: debug: [dbus.String(u'hpfax:/net/Officejet_4620_series?zc=HPB4B52F1D2587'), dbus.String(u''), dbus.Int32(0), dbus.String(u'akavalov'), dbus.Int32(82), dbus.String(u''), dbus.Double(0.0), dbus.String(u'')]

I found the following messages in /var/log/audit/audit.log:
type=USER_AVC msg=audit(1343056666.598:15082): pid=0 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 msg='avc:  denied  { send_msg } for msgtype=signal interface=com.hplip.StatusService member=Event dest=org.freedesktop.DBus spid=5703 tpid=4788 scontext=system_u:system_r:hplip_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=dbus  exe="/bin/dbus-daemon" sauid=81 hostname=? addr=? terminal=?'
type=USER_AVC msg=audit(1343056666.598:15083): pid=0 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 msg='avc:  denied  { send_msg } for msgtype=signal interface=com.hplip.StatusService member=Event dest=org.freedesktop.DBus spid=5703 tpid=4788 scontext=system_u:system_r:hplip_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=dbus  exe="/bin/dbus-daemon" sauid=81 hostname=? addr=? terminal=?'


How i can fix this?
Thanks again
Comment 4 Tim Waugh 2012-07-23 12:04:20 EDT
I think this is the Fedora version of bug #839608.
Comment 5 Jiri Popelka 2012-07-23 12:09:40 EDT
(In reply to comment #3)
> Please, let me know if 3.12.6 version is available via Add/Remove.

I've just created an hplip testing update,
but it will take a few days before you'll be able to update with:
yum --enablerepo=updates-testing update 'hplip*'
Comment 6 Daniel Walsh 2012-07-23 12:13:13 EDT
Miroslav lets add

userdom_dbus_send_all_users(hplip_t)
Comment 7 NM 2012-07-23 12:21:33 EDT
Tim,
So, i guess, extra policy rule in next selinux update should fix the problem?

Jiri,
I installed hplip-3.12.6 manually using the tar ball from HP's web site. Can i update it via 
yum --enablerepo=updates-testing update 'hplip*'
as you suggested?

Thanks all,
An
Comment 8 Jiri Popelka 2012-07-23 12:31:13 EDT
Well, you already have 3.12.6 so you don't need to update :)
But the answer is: no, this way you can update only packages from Fedora repositories, i.e. packages installed with yum, Add/Remove atc.
Comment 9 NM 2012-07-23 12:42:40 EDT
Jiri,

I would certainly prefer to have it installed correctly via Add/Remove. So i guess my option here is to uninstall it manually and then reinstall via

yum --enablerepo=updates-testing install hplip-3.12.6

correct? 

Thanks.
Comment 10 Jiri Popelka 2012-07-23 12:50:32 EDT
That's right.
I think there could be something like /usr/share/hplip/uninstall.py to uninstall the HP provided hplip. Then (after the 3.12.6 update populates the testing repository) you can install it with:
yum --enablerepo=updates-testing install hplip-gui
Comment 11 NM 2012-07-23 13:26:41 EDT
Yes, i do see it: 
/usr/bin/hp-uninstall -> ../share/hplip/uninstall.py

Thanks all for the guidance and advise.
Comment 12 Tim Waugh 2012-07-24 04:12:09 EDT
(In reply to comment #7)
> Tim,
> So, i guess, extra policy rule in next selinux update should fix the problem?

Yes, I think it will fix at least one of the problems you're having.
Comment 13 Miroslav Grepl 2012-07-24 07:59:29 EDT
(In reply to comment #6)
> Miroslav lets add
> 
> userdom_dbus_send_all_users(hplip_t)

Added to F16.
Comment 14 Tim Waugh 2012-07-24 09:38:32 EDT
Also needed for all subsequent releases.
Comment 15 Miroslav Grepl 2012-07-24 10:09:31 EDT
Yes. Add also to F17, rawhide.
Comment 16 Fedora Update System 2012-08-01 09:40:20 EDT
selinux-policy-3.10.0-91.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-91.fc16
Comment 17 Fedora Update System 2012-08-02 07:20:02 EDT
Package selinux-policy-3.10.0-91.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-91.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11411/selinux-policy-3.10.0-91.fc16
then log in and leave karma (feedback).
Comment 18 NM 2012-08-02 14:43:38 EDT
I want to confirm and summarize that the following resolved all faxing problems mentioned above:
1) su -
2) hp-uninstall
3) yum --enablerepo=updates-testing install hplip-gui
3) yum update --enablerepo=updates-testing selinux-policy-3.10.0-91.fc16

This is great! 
Thanks a lot.
Comment 19 Fedora Update System 2012-08-27 18:57:52 EDT
selinux-policy-3.10.0-91.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.